PROMETHEUS-NGINX-EXPORTER(1)

NAME
prometheus-nginx-exporter - Prometheus exporter for NGINX web server metrics

SYNOPSIS

prometheus-nginx-exporter [<flags>]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--web.systemd-socket
    Use systemd socket activation listeners instead of port listeners (Linux only).

--web.listen-address=:9113
    Addresses on which to expose metrics and web interface. Repeatable for multiple addresses. Examples: `:9100` or `[::1]:9100` for http, `vsock://:9100` for vsock

--web.config.file=""
    Path to configuration file that can enable TLS or authentication. See: https://github.com/prometheus/exporter-toolkit/blob/master/docs/web-configuration.md

--web.telemetry-path="/metrics"
    Path under which to expose metrics.

--nginx.plus
    Start the exporter for NGINX Plus. By default, the exporter is started for NGINX.

--nginx.scrape-uri=http://127.0.0.1:8080/stub_status
    A URI or unix domain socket path for scraping NGINX or NGINX Plus metrics. For NGINX, the stub_status page must be available through the URI. For NGINX Plus -- the API. Repeatable for multiple URIs.

--nginx.ssl-verify
    Perform SSL certificate verification.

--nginx.ssl-ca-cert=""
    Path to the PEM encoded CA certificate file used to validate the servers SSL certificate.

--nginx.ssl-client-cert=""
    Path to the PEM encoded client certificate file to use when connecting to the server.

--nginx.ssl-client-key=""
    Path to the PEM encoded client certificate key file to use when connecting to the server.

--nginx.timeout=5s
    A timeout for scraping metrics from NGINX or NGINX Plus.

--prometheus.const-label=PROMETHEUS.CONST-LABEL
    Label that will be used in every metric. Format is label=value. It can be repeated multiple times.

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]

--version
    Show application version.